# DamagingTrapTag | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class DamagingTrapTag`Abstract`

#### Hierarchy (view full)

- TrappedTag
  - DamagingTrapTag
    - BindTag
    - WrapTag
    - VortexTrapTag
    - ClampTag
    - SandTombTag
    - MagmaStormTag
    - SnapTrapTag
    - ThunderCageTag
    - InfestationTag

- Defined in src/data/battler-tags.ts:679

#####
Index

### Constructors

constructor

### Properties

commonAnim
lapseType
sourceId?
sourceMove
tagType
turnCount

### Methods

canAdd
getDescriptor
getMoveName
getTrapMessage
isSourceLinked
lapse
loadTag
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new DamagingTrapTag(tagType, commonAnim, turnCount, sourceMove, sourceId): DamagingTrapTag

- #### Parameters

  - tagType: BattlerTagType
  - commonAnim: CommonAnim
  - turnCount: number
  - sourceMove: Moves
  - sourceId: number

  #### Returns DamagingTrapTag

  Overrides TrappedTag.constructor

  - Defined in src/data/battler-tags.ts:682

## Properties

### `Private` commonAnim

commonAnim: CommonAnim

- Defined in src/data/battler-tags.ts:680

### lapseType

lapseType: BattlerTagLapseType

Inherited from TrappedTag.lapseType

- Defined in src/data/battler-tags.ts:33

### `Optional` sourceId

sourceId?: number

Inherited from TrappedTag.sourceId

- Defined in src/data/battler-tags.ts:36

### sourceMove

sourceMove: Moves

Inherited from TrappedTag.sourceMove

- Defined in src/data/battler-tags.ts:35

### tagType

tagType: BattlerTagType

Inherited from TrappedTag.tagType

- Defined in src/data/battler-tags.ts:32

### turnCount

turnCount: number

Inherited from TrappedTag.turnCount

- Defined in src/data/battler-tags.ts:34

## Methods

### canAdd

- canAdd(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  Overrides TrappedTag.canAdd

  - Defined in src/data/battler-tags.ts:697

### getDescriptor

- getDescriptor(): string

- #### Returns string

  Inherited from TrappedTag.getDescriptor

  - Defined in src/data/battler-tags.ts:140

### getMoveName

- getMoveName(): string

- #### Returns string

  Inherited from TrappedTag.getMoveName

  - Defined in src/data/battler-tags.ts:68

### getTrapMessage

- getTrapMessage(pokemon): string

- #### Parameters

  - pokemon: default

  #### Returns string

  Inherited from TrappedTag.getTrapMessage

  - Defined in src/data/battler-tags.ts:148

### isSourceLinked

- isSourceLinked(): boolean

- #### Returns boolean

  Inherited from TrappedTag.isSourceLinked

  - Defined in src/data/battler-tags.ts:144

### lapse

- lapse(pokemon, lapseType): boolean

- #### Parameters

  - pokemon: default
  - lapseType: BattlerTagLapseType

  #### Returns boolean

  Overrides TrappedTag.lapse

  - Defined in src/data/battler-tags.ts:701

### loadTag

- loadTag(source): void

- When given a battler tag or json representing one, load the data for it.

  #### Parameters

  - source: any

    A battler tag

  #### Returns void

  Overrides TrappedTag.loadTag

  - Defined in src/data/battler-tags.ts:692

### onAdd

- onAdd(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from TrappedTag.onAdd

  - Defined in src/data/battler-tags.ts:128

### onOverlap

- onOverlap(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from TrappedTag.onOverlap

  - Defined in src/data/battler-tags.ts:54

### onRemove

- onRemove(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from TrappedTag.onRemove

  - Defined in src/data/battler-tags.ts:134